require "util"

--[[ The following test prototypes (entity, item and recipe) are created below.
	test-wooden-chest
	test-iron-chest
	test-steel-chest
	test-pipe
]]

-- Adds new entity, item and recipes prototypes copied from an existing thing in the game prefixed with "test-".
-- e.g create_test_duplicate("container", "wooden-chest")   creates a new "test-wooden-chest" which is a slightly modified version of the "wooden-chest"
function create_test_duplicate(template_entity_type, name)
	new_name = "test-"..name
	
	-- Duplicate and modify the entity prototype
	p = table.deepcopy(data.raw[template_entity_type][name])
	p.name = new_name
	p.minable.result = new_name
	data:extend({p})
	
	-- Duplicate and modify the item prototype
	p = table.deepcopy(data.raw.item[name])
	p.name = new_name
	p.place_result = new_name
	p.stack_size = 50
	data:extend({p})
	
	-- Duplicate and modify the recipe
	r = table.deepcopy(data.raw.recipe[name])
	r.name = new_name
	r.ingredients = {{"wood", 1}}
	r.enabled = true
	r.result = new_name
	data:extend({r})
	
end

create_test_duplicate("container", "wooden-chest")
create_test_duplicate("container", "iron-chest")
create_test_duplicate("container", "steel-chest")
create_test_duplicate("pipe", "pipe")